/*

Copyright (c) 2009, Oliver Martin <oliver@volatilevoid.net>

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

*/

package net.volatilevoid.glowingpear;

public class Lightbulb {
	
	static boolean isLoaded = false;

	public Lightbulb(String lib) {
		if (isLoaded)
			return;
		System.loadLibrary(lib);
		isLoaded = true;
	}
	
	public native boolean open(String dev);
	public native boolean close();
	public native boolean start();
	public native boolean stop();
	public native boolean flash(int usecs);
	
}
